function _cleanup_normal {
cleanup_normal
- deleteLock
}
function backmeupscotty {
+ while getopts "qn:" opt; do
+ case $opt in
+ q)
+ exec > /dev/null
+ ;;
+ n)
+ BACKUP_RUNEVERYNTHDAY=$OPTARG
+ ;;
+ esac
+ done
+
if ! isIncompleteOrNthDay; then
scottyinfo "This is not the nth day and no incomplete backup exists."
exit 0
scottysync
_cleanup_normal
- trap - EXIT
+ trap deleteLock EXIT
}
if ! mkdir /tmp/$(basename $0).lock; then
scottyerror "Another instance of $(basename $0) is still running!"
exit 1
+else
+ trap deleteLock EXIT
fi
-
-while getopts "qn:" opt; do
- case $opt in
- q)
- exec > /dev/null
- ;;
- n)
- BACKUP_RUNEVERYNTHDAY=$OPTARG
- ;;
- esac
-done